"""add Iptrunk create  workflow.

Revision ID: d3616a686094
Revises: 42d52099c7da
Create Date: 2023-04-21 12:22:18.243625

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'd3616a686094'
down_revision = '42d52099c7da'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_iptrunk",
        "target": "CREATE",
        "description": "Create Iptrunk",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
